Bug 510714 - tar does not interpret --no-wildcards option right
tar does not interpret --no-wildcards option right
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tar (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
BaseOS QE
:
Depends On:
Blocks: 456141 578522
  Show dependency treegraph
 
Reported: 2009-07-10 08:29 EDT by Daniel Novotny
Modified: 2010-03-31 10:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 578522 (view as bug list)
Environment:
Last Closed: 2010-03-30 04:19:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Novotny 2009-07-10 08:29:16 EDT
Description of problem:
tar interpret wildcards in the files it has to extract, even if the --no-wildcards option is used

Version-Release number of selected component (if applicable):
1.15.1

How reproducible:
always


Steps to Reproduce:
1. touch with_wildcards\[abc\]
2. tar -cf wild.tar with_wildcards\[abc\]
3. tar --no-wildcards -xf wild.tar with_wildcards[abc]
  
Actual results:
tar: with_wildcards[abc]: Not found in archive
tar: Error exit delayed from previous errors

Expected results:
extract the file

Additional info:
the error is not present in newer versions of tar, i.e. in current Fedora this works
Comment 9 errata-xmlrpc 2010-03-30 04:19:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0224.html

Note You need to log in before you can comment on or make changes to this bug.